import Vue from 'vue'
import Vuex from 'vuex'
import getters from './getters'
import actions from './actions'
Vue.use(Vuex)

const state = {
    msg: 'Hello Vue!',
    counter: 0
}

const mutations = {
    changeMessage(state, msg) {
        state.msg = msg
    },
    addCounter(state) {
        state.counter++
    }
}

export default new Vuex.Store({
    state,
    mutations,
    getters,
    actions
})
